/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of eslint-config-ts which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

module.exports = {
  env: {
    es6: true,
    node: true
  },
  extends: [
    'standard'
  ],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly'
  },
  parserOptions: {
    ecmaVersion: 2018,
    sourceType: 'module'
  },
  rules: {
    camelcase: 'off',
    'sort-keys': 'off',
    'lines-around-comment': 'off',
    'array-element-newline': 'off',
    'array-bracket-newline': 'off',
    'max-len': 'off',
    'func-call-spacing': 'off',
    semi: 'off',
    curly: 'off',
    strict: 'off',
    'brace-style': 'off',
    'no-magic-numbers': 'off'
  }
}
